
I had been admitted to the hospital on December 25, 2010 for what I assumed was renal failure due to previous history of cervical cancer. The tumor was sitting on the urethra and was blocking the passage of urine. I had a urinary stent in place. Previous to that, I had the right and left kidney operated on in August 2010 and a stent was left in place. I had been very sick and presented to my physician with infection coming from where the operation had been. I was in pain, given a swab and ordered to take antibiotics. I felt slightly better for a while, then on December 25th, I started to show symptoms of renal failure, with which I was all too familiar. The first night of my admission, I was being treated for renal failure. However, I was failing rapidly. I was aware of my surroundings but was too sleepy to communicate.

The first night of my admission I had experience an apparition in my room that spoke to me, my daughter was with me at the time. I didn't know what this spirit was saying, but I knew she was not happy. My daughter could not see the spirit and was upset that I was talking to no one. There was a different feeling in the room, like all noises ceased to exist. Then I saw another lady and a young boy come into the room looking for her. I pointed to the lady. The lady told me that she was not happy with me. I felt bad for her. Then a nurse came in and spoke to me. She said that she was sorry, that this lady had never done such a thing before. I saw that my daughter was visibly upset because I was looking at the 'ghost,' as she called it. I knew then after seeing that apparition that I was near death.

I was in and of consciousness quite often, I was aware of my surroundings but not oriented to time. I knew I was quite ill, but did not realize that the doctors had felt I was now full of cancer, they recommended to my family to just let me die. However, they did not agree with their prognosis. My family chose not to do that. I requested that life saving measures take place.

They insisted life saving measures be performed on me in the event I flat-lined. I remember my 3 children coming in and 1 by 1 they were saying their good-byes. They were crying, but I could not respond, my eyes wanted to open but they couldn't. I wanted to tell them that I was going to be alright. The morning of my event, a nurse who was changing my gown. As she turned me, she noticed a black spot on the linen, and then a black protrusion on my back. Doctors were alerted to this and it was then that they decided surgery was necessary. I was given a 5% chance of surviving. I was not fully aware at this time. It was while I was in my room that my experience started, the last thing I remember was my ex-boyfriend crying because I would not take him back, I told him to leave...I was very upset. To this day I think the stress caused me to convulse, my nurse found me having a seizure and the Code Blue was called...hence this is my experience.

This is what was happening to me during this time:

I remember entering a tunnel-like area that reminded me of an old basement. I was being whisked through that tunnel very rapidly. I was lying on my back, but yet I couldn't feel anything under me. Along the side of the tunnel, there were people that I didn't recognize. It was like they were all looking at me, they didn't appear to be very happy, and they were dressed strangely. As I was going through this tunnel, it occurred to me that I must be dead. Then it felt like someone was beating me, and I kept thinking to myself, 'Why are they beating me? I must be going to hell'. The beating finally stopped and I heard a male voice say, 'Do not be afraid.' I wasn't afraid; I felt no pain. But I did feel a bit of sadness, that my life on earth was over.

Then I stopped at the end of the tunnel. I was sitting up and I could see what looked like glass doors. I was seeing people of different cultures. I remember thinking, 'I don't see any of my relatives. These people are all strangers.' It was like they were in an airport, just walking around. Some were looking up at a sign that reminded me of an airport showing the estimated time of arrivals and departures. This sign had peoples' names on it. I looked for my name and it wasn't there. I continued to watch as the names came up very quickly. Then I heard the voice again, reminding me not be afraid. I was wondering if I would ever see my loved ones again if I go through the door. Hearing my thoughts, this voice answered, 'No.' Then I said, 'Well, Ashley (my daughter) is not going to be happy about that. I have to go back and tell her.' When I turned around that was it.

I woke up in the intensive care unit three days later on a ventilator and in critical condition. I had an abscessed kidney that was removed and the good kidney only had 10% function. I was in hospital for four months, and during that time I had another close call with infection but it was successfully treated.
